# spell-checker:ignore bcond pkgversion buildrequires autosetup PYTHONPATH noarch buildroot bindir sitelib numprocesses clib
# All tests require Internet access
# to test in mock use:  --enable-network --with check
# to test in a privileged environment use:
#   --with check --with privileged_tests
%bcond_with     check
%bcond_with     privileged_tests

Name:           ansible-compat
Version:        25.6.1.dev3
Release:        1.20250624190004502704.pr505.3.gf39af44%{?dist}
Summary:        Ansible-compat library

License:        GPL-3.0-or-later
URL:            https://github.com/ansible/ansible-compat
Source0:        ansible_compat-25.6.1.dev3.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
%if %{with check}
# These are required for tests:
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-xdist
BuildRequires:  python%{python3_pkgversion}-libselinux
BuildRequires:  git-core
%endif
Requires:       git-core


%description
Ansible-compat.

%prep
%autosetup -n ansible_compat-25.6.1.dev3


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files ansible_compat


%check
%pyproject_check_import
%if %{with check}
%pytest \
  -v \
  --disable-pytest-warnings \
  --numprocesses=auto \
  test
%endif


%files -f %{pyproject_files}
%license LICENSE
%doc docs/ README.md

%changelog
* Tue Jun 24 2025 Packit <hello@packit.dev> - 25.6.1.dev3-1.20250624190004502704.pr505.3.gf39af44
- Bump the dependencies group across 1 directory with 3 updates (dependabot[bot])
- Bump the dependencies group in /.config with 4 updates (#503) (dependabot[bot])
- Avoid ack failure due to dependabot labels (#502) (Sorin Sbarnea)

* Tue Jun 24 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group across 1 directory with 3 updates

* Fri Jun 20 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 4 updates (#503)

* Thu Jun 19 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Avoid ack failure due to dependabot labels (#502)

* Mon Jun 16 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 3 updates (#500)

* Tue Jun 10 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump requests from 2.32.3 to 2.32.4 in /.config in the pip group (#499)

* Mon Jun 09 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 2 updates (#498)

* Mon Jun 02 2025 pre-commit-ci[bot] 66853113+pre-commit-ci[bot]@users.noreply.github.com 
- chore: pre-commit autoupdate (#497)

* Mon Jun 02 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group across 1 directory with 9 updates (#496)

* Mon May 19 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 4 updates (#494)

* Wed May 14 2025 Kate Case kcase@redhat.com 
- Add merge_group trigger (#489)

* Wed May 14 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 4 updates (#491)

* Sun May 11 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 5 updates (#490)

* Mon May 05 2025 pre-commit-ci[bot] 66853113+pre-commit-ci[bot]@users.noreply.github.com 
- chore: pre-commit autoupdate (#488)

* Sun May 04 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 4 updates (#487)

* Wed Apr 30 2025 Kate Case kcase@redhat.com 
- Enable junit.xml reporting to codecov.io (#486)

* Sun Apr 27 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 4 updates (#485)

* Sun Apr 20 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 4 updates (#484)

* Sun Apr 13 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 3 updates (#483)

* Wed Apr 09 2025 pre-commit-ci[bot] 66853113+pre-commit-ci[bot]@users.noreply.github.com 
- chore: pre-commit autoupdate (#482)

* Sun Apr 06 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump mkdocstrings-python in /.config in the dependencies group (#481)

